POST
Query chargebacks
Use this endpoint to retrieve chargeback records for merchant transactions. Contact Onerway before calling this endpoint because chargeback query access must be enabled first.
Request
merchantNoMerchant number assigned by Onerway. See Setup for how to obtain it.
Example:
replace_with_merchant_nochargebackIdsCondition: Provide this field as one query condition. At least one of
Comma-separated Onerway chargeback IDs used to query chargeback records in batch.merchantTxnIds, originTransactionIds, chargebackIds, or importTimeStart + importTimeEnd is required.Example:
cb_demo_202606210001,cb_demo_202606210002Constraints
- Range
10IDsA single request can include up to 10 comma-separated IDs.
merchantTxnIdsCondition: Provide this field as one query condition. At least one of
Comma-separated merchant transaction numbers used to query chargeback records in batch.merchantTxnIds, originTransactionIds, chargebackIds, or importTimeStart + importTimeEnd is required.Example:
txn_demo_202606210001,txn_demo_202606210002Constraints
- Range
10IDsA single request can include up to 10 comma-separated IDs.
originTransactionIdsCondition: Provide this field as one query condition. At least one of
Comma-separated original Onerway transaction IDs used to query chargeback records in batch.merchantTxnIds, originTransactionIds, chargebackIds, or importTimeStart + importTimeEnd is required.Example:
2031908578000000000,2031908578000000001Constraints
- Range
10IDsA single request can include up to 10 comma-separated IDs.
importTimeStartCondition: Provide this field as one query condition. At least one of
Start of the time range, filtered by the time when Onerway received the chargeback transaction, in merchantTxnIds, originTransactionIds, chargebackIds, or importTimeStart + importTimeEnd is required.yyyy-MM-dd HH:mm:ss format.Example:
2026-06-01 00:00:00Constraints
- Rule
- When querying by time range, submit both
importTimeStartandimportTimeEnd. The maximum range is 90 days.
importTimeEndCondition: Provide this field as one query condition. At least one of
End of the time range, in merchantTxnIds, originTransactionIds, chargebackIds, or importTimeStart + importTimeEnd is required.yyyy-MM-dd HH:mm:ss format. It must be later than importTimeStart.Example:
2026-06-21 23:59:59Constraints
- Rule
- When querying by time range, submit both
importTimeStartandimportTimeEnd. The maximum range is 90 days.
currentQuery page number.
0 and 1 both mean the first page. The response current value is always returned as a 1-based page number.Example:
1signRequest signature string. See Request signing for how to generate it.
curl -X POST 'https://sandbox-acq.onerway.com/v1/chargeback/list' \
-H 'Content-Type: application/json' \
--data-raw '{
"current": "1",
"importTimeEnd": "2026-06-21 23:59:59",
"importTimeStart": "2026-06-01 00:00:00",
"merchantNo": "replace_with_merchant_no",
"sign": "{{SIGN}}"
}'Response
respCode20000 means the query request was processed successfully. Other values are error codes. See Response codes.respMsgHuman-readable message for the response code.
data{ content, current, ... }Chargeback records and pagination information.
Response example
Example code is unavailable.
No error responses are documented for this endpoint.